glassfish
  1. glassfish
  2. GLASSFISH-17546

cannot build glassfish 3.1.1 from sources (tag 3.1.1), DependencyResolutionException, Could not resolve dependency

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Blocker Blocker
    • Resolution: Works as designed
    • Affects Version/s: 3.1.1
    • Fix Version/s: None
    • Component/s: build_system
    • Labels:
      None
    • Environment:

      windows 7, 64 bit

      Description

      downloaded sources from https://svn.java.net/svn/glassfish~svn/tags/3.1.1
      called : mvn install
      got the following exception:

      [INFO] EJB Timer Service Application ..................... SUCCESS [0.203s]
      [INFO] GlassFish EJB timer app database init scripts ..... SUCCESS [0.172s]
      [INFO] EJB tier for GlassFish ............................ FAILURE [0.047s]

      [INFO] BUILD FAILURE
      [INFO] ------------------------------------------------------------------------
      [INFO] Total time: 17:31.576s
      [INFO] Finished at: Tue Nov 01 09:20:14 CET 2011
      [INFO] Final Memory: 155M/432M
      [INFO] ------------------------------------------------------------------------
      [ERROR] Failed to execute goal on project ejb-all: Could not resolve dependencies for project org.glassfish.ejb:ejb-all:pom:3.1.1: Could not find artifact org.glassfish.ejb:ejb-timer-databases:distribution-fragment:3.1.1 in glassfish-repo-archive (http://maven.glassfish.org/content/groups/glassfish) -> [Help 1]
      [ERROR]

        Activity

        Hide
        scatari added a comment -

        This is a maven issue: Please see http://jira.codehaus.org/browse/MNG-5135
        3.1.2 will not use maven 3.0.3, targeting this bug for 4.0.

        Show
        scatari added a comment - This is a maven issue: Please see http://jira.codehaus.org/browse/MNG-5135 3.1.2 will not use maven 3.0.3, targeting this bug for 4.0.
        Hide
        Veit Ullmann added a comment -

        I used maven 3.0.3 when the error happened, after using maven 2.1.1 it was successful.

        Show
        Veit Ullmann added a comment - I used maven 3.0.3 when the error happened, after using maven 2.1.1 it was successful.
        Hide
        Veit Ullmann added a comment -

        is this the reason?

        [INFO] — maven-bundle-plugin:2.0.1:manifest (bundle-manifest) @ ejb-timer-databases —
        [WARNING] Ignoring project type distribution-fragment - supportedProjectTypes = [hk2-jar, bundle]
        [INFO]

        Show
        Veit Ullmann added a comment - is this the reason? [INFO] — maven-bundle-plugin:2.0.1:manifest (bundle-manifest) @ ejb-timer-databases — [WARNING] Ignoring project type distribution-fragment - supportedProjectTypes = [hk2-jar, bundle] [INFO]

          People

          • Assignee:
            Unassigned
            Reporter:
            Veit Ullmann
          • Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: